---
api: 'Merchant API'
---

# Challenge a dispute

Allows challenging a dispute with a reason, comment and associated evidences.

Use the uploaded evidences to provide proof for the challenge.

A dispute previously accepted, cannot be challenged.

:::note
This endpoint is only available in **Production** environment.
:::

## Endpoint

POST `/api/disputes/{dispute_id}/challenge`

## Request body

### Attributes

- `reason` (enum)
    The reason for challenging the dispute.
    Possible enum values:

    - `product_already_delivered`
    - `refund_already_issued`
    - `disagree_with_customers_claim`
- `comment` (string, optional)
    Additional explanation or comment for the challenge, if needed.
- `evidences` (array of string)
    A list of IDs of previously uploaded evidence files to associate with this challenge.
    
    :::warning
    Each evidence ID can only be used for **a single challenge**. This means, that evidences already assigned to a challenge **cannot be reused** for other challenges.
    :::

## Returns

### 204

Dispute challenged successfully

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 422 | Unprocessable entity |
